Summary:	Graphical tools for certain user account management tasks
Name:		usermode
Epoch:		1
Version:	1.114
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Configuration
Url:		https://pagure.io/usermode/
Source0:	https://releases.pagure.org/usermode/usermode-%{version}.tar.xz
# being the console owner is enough
Source1:	mageia-console-auth
# besides being the console owner, needs to authenticate as well
Source2:	mageia-simple-auth
Source10:	simple_root_authen
Source11:	simple_root_authen.apps
# allow more environment variables to be set in root environment
Patch1:		usermode-1.114-environment.patch
# allow simple authentication without config file (used by drakxtools)
Patch2:		usermode-1.114-user_authen.patch
# https://qa.mandriva.com/show_bug.cgi?id=32459
Patch3:		usermode-1.106.1-uz-po.patch
# (fc) 1.85-1mdk set password dialog to stick on all workspace
Patch7:		usermode-1.106.1-stick.patch
# (tpg) pam-panel-icon should check whether it is started from autostart or saved session
# without this we have more instances of pam-panel-icon running
# https://qa.mandriva.com/show_bug.cgi?id=44632
Patch10:	usermode-1.106.1-disable-session-restart.patch
BuildRequires:	autoconf
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(libuser)
BuildRequires:	pam-devel
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(libselinux)
BuildRequires:	pkgconfig(libstartup-notification-1.0)
BuildRequires:	pkgconfig(blkid)
Requires:	util-linux
Requires:	pam
Requires:	%{name}-consoleonly = %{epoch}:%{version}-%{release}

%description
The usermode package contains several graphical tools for users:
userinfo, usermount and userpasswd. Userinfo allows users to change
their finger information. Usermount lets users mount, unmount, and
format filesystems. Userpasswd allows users to change their passwords.

Install the usermode package if you would like to provide users with
graphical tools for certain account management tasks.

%package -n %{name}-consoleonly
Summary:	Non graphical part of usermode
Group:		System/Libraries

%description -n %{name}-consoleonly
This package contains only the usermode stuff which doesn't require
XFree or GTK to run.

%prep
%setup -q

%patch -P 1 -p1 -b .environment
%patch -P 2 -p1 -b .user_authen
%patch -P 3 -p1 -b .uz
%patch -P 7 -p1 -b .stick
%patch -P 10 -p1

%build
%configure \
	--with-selinux
%make_build

%install
%make_install VENDOR=mageia

mkdir -p %{buildroot}%{_mandir}/{man1,man8}

mkdir -p %{buildroot}%{_sysconfdir}/pam.d %{buildroot}%{_sysconfdir}/security/console.apps

install -m 644 %{SOURCE10} %{buildroot}%{_sysconfdir}/pam.d/simple_root_authen
install -m 644 %{SOURCE11} %{buildroot}%{_sysconfdir}/security/console.apps/simple_root_authen
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/mageia-console-auth
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/pam.d/mageia-simple-auth

mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
cat << EOF > %{buildroot}%{_sysconfdir}/xdg/autostart/pam-panel-icon.desktop
[Desktop Entry]
Name=Authentication applet
Comment=Allow to forget authenticated login
Exec=pam-panel-icon
Icon=dialog-password
Terminal=false
StartupNotify=false
Type=Application
Categories=GNOME;GTK;System;Utility;Core;
OnlyShowIn=GNOME;KDE;XFCE;
EOF

%find_lang %{name}

# remove unpackaged files
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/@GETTEXT_PACKAGE@.mo \
 %{buildroot}%{_datadir}/applications/*.desktop

%post
if [ ! -z "$SECURE_LEVEL" ];then
if [ -x /usr/sbin/msec -a "$SECURE_LEVEL" -gt "3" ]; then  /usr/sbin/msec $SECURE_LEVEL || true ; fi
fi

%files
%{_sysconfdir}/xdg/autostart/pam-panel-icon.desktop
%{_bindir}/usermount
%{_bindir}/userinfo
%{_bindir}/userpasswd
%{_mandir}/man1/usermount.1*
%{_mandir}/man1/userinfo.1*
%{_mandir}/man1/userpasswd.1*
%{_mandir}/man1/pam-panel-icon.1*
%{_mandir}/man8/consolehelper-gtk.8*
%{_bindir}/consolehelper-gtk
%{_bindir}/pam-panel-icon
%{_datadir}/usermode
%{_datadir}/pixmaps/*

%files -n %{name}-consoleonly -f %{name}.lang
%attr(4755,root,root) %{_sbindir}/userhelper
%{_mandir}/man8/userhelper.8*
%{_bindir}/consolehelper
%{_mandir}/man8/consolehelper.8*
%config(noreplace) %{_sysconfdir}/pam.d/simple_root_authen
%config(noreplace) %{_sysconfdir}/pam.d/mageia-simple-auth
%config(noreplace) %{_sysconfdir}/pam.d/mageia-console-auth
%config(noreplace) %{_sysconfdir}/security/console.apps/simple_root_authen


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 1:1.114-3.mga10
+ Revision: 2128233
- Rebuild for patchN deprecation

* Wed Mar 30 2022 umeabot <umeabot> 1:1.114-2.mga9
+ Revision: 1834168
- Mageia 9 Mass Rebuild

* Wed May 05 2021 daviddavid <daviddavid> 1:1.114-1.mga9
+ Revision: 1721404
- new version: 1.114

* Wed Dec 02 2020 luigiwalser <luigiwalser> 1:1.113-1.mga8
+ Revision: 1651783
- 1.113
- rediff patches 1 and 2
- remove upstream patches 11 and 12

* Fri Feb 14 2020 umeabot <umeabot> 1:1.112-2.mga8
+ Revision: 1521536
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Dec 28 2018 luigiwalser <luigiwalser> 1:1.112-1.mga7
+ Revision: 1345666
- 1.112
- update URLs
- rediff patch 2
- remove patches 8 and 9 (fixed upstream)
- add patch 12 from fedora to fix FSF address

* Tue Oct 02 2018 daviddavid <daviddavid> 1:1.111-8.mga7
+ Revision: 1315667
- add patch to fix build with new glibc
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 05 2016 umeabot <umeabot> 1:1.111-7.mga6
+ Revision: 936532
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.111-6.mga5
+ Revision: 750482
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.111-5.mga5
+ Revision: 690101
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:1.111-4.mga4
+ Revision: 521687
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 fwang <fwang> 1:1.111-3.mga3
+ Revision: 391575
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 1:1.111-2.mga3
+ Revision: 385184
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 07 2012 luigiwalser <luigiwalser> 1:1.111-1.mga3
+ Revision: 303109
- 1.111

* Fri Sep 07 2012 luigiwalser <luigiwalser> 1:1.110-1.mga3
+ Revision: 289300
- 1.110
- minor spec cleaning
- this removes poweroff/halt/reboot, moving to systemd package

* Sun Mar 04 2012 luigiwalser <luigiwalser> 1:1.109-1.mga2
+ Revision: 218041
- 1.109

* Sat Mar 03 2012 luigiwalser <luigiwalser> 1:1.108-1.mga2
+ Revision: 217414
- 1.108
- update Patch2 (from mdv)

* Sun Jun 19 2011 kharec <kharec> 1:1.107-1.mga2
+ Revision: 109761
- update to new version 1.107
+ wally <wally>
- mageiafy package
- remove old conflicts and scriptlets
- update patch names
- imported package usermode

